diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index f3b86b26be9..2f0f0595e1f 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -9,7 +9,7 @@
   Write-Ahead Log.
  </para>
 
- <sect1 id="wal-reliability">
+ <sect1 id="wal-reliability" xreflabel="Reliability">
   <title>Reliability</title>
 
   <para>
@@ -229,7 +229,7 @@
   </para>
  </sect1>
 
- <sect1 id="checksums">
+ <sect1 id="checksums" xreflabel="Data Checksums">
   <title>Data Checksums</title>
   <indexterm>
    <primary>checksums</primary>
@@ -264,7 +264,7 @@
    configuration parameter <xref linkend="guc-ignore-checksum-failure" />.
   </para>
 
-  <sect2 id="checksums-offline-enable-disable">
+  <sect2 id="checksums-offline-enable-disable" xreflabel="Off-line Enabling of Checksums">
    <title>Off-line Enabling of Checksums</title>
 
    <para>
@@ -276,7 +276,7 @@
   </sect2>
  </sect1>
 
-  <sect1 id="wal-intro">
+  <sect1 id="wal-intro" xreflabel="Write-Ahead Logging (WAL)">
    <title>Write-Ahead Logging (<acronym>WAL</acronym>)</title>
 
    <indexterm zone="wal">
@@ -347,7 +347,7 @@
    </para>
   </sect1>
 
- <sect1 id="wal-async-commit">
+ <sect1 id="wal-async-commit" xreflabel="Asynchronous Commit">
   <title>Asynchronous Commit</title>
 
    <indexterm>
@@ -479,7 +479,7 @@
 
  </sect1>
 
- <sect1 id="wal-configuration">
+ <sect1 id="wal-configuration" xreflabel="WAL Configuration">
   <title><acronym>WAL</acronym> Configuration</title>
 
   <para>
@@ -849,7 +849,7 @@
   </para>
  </sect1>
 
- <sect1 id="wal-internals">
+ <sect1 id="wal-internals" xreflabel="WAL Internals">
   <title>WAL Internals</title>
 
   <indexterm zone="wal-internals">
diff --git a/doc/src/sgml/xact.sgml b/doc/src/sgml/xact.sgml
index 3aa7ee1383e..5c19a141fa9 100644
--- a/doc/src/sgml/xact.sgml
+++ b/doc/src/sgml/xact.sgml
@@ -10,7 +10,7 @@
   The word transaction is often abbreviated as <firstterm>xact</firstterm>.
  </para>
 
- <sect1 id="transaction-id">
+ <sect1 id="transaction-id" xreflabel="Transactions and Identifiers">
 
   <title>Transactions and Identifiers</title>
 
@@ -79,7 +79,7 @@
   </para>
  </sect1>
 
- <sect1 id="xact-locking">
+ <sect1 id="xact-locking" xreflabel="Transactions and Locking">
 
   <title>Transactions and Locking</title>
 
@@ -171,7 +171,7 @@
   </para>
  </sect1>
 
- <sect1 id="two-phase">
+ <sect1 id="two-phase" xreflabel="Two-Phase Transactions">
 
   <title>Two-Phase Transactions</title>
 
diff --git a/doc/src/sgml/xaggr.sgml b/doc/src/sgml/xaggr.sgml
index bdad8d3dc2b..0a5c51bdbf0 100644
--- a/doc/src/sgml/xaggr.sgml
+++ b/doc/src/sgml/xaggr.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xaggr.sgml -->
 
- <sect1 id="xaggr">
+ <sect1 id="xaggr" xreflabel="User-Defined Aggregates">
   <title>User-Defined Aggregates</title>
 
   <indexterm zone="xaggr">
@@ -145,7 +145,7 @@ CREATE AGGREGATE avg (float8)
    command.
   </para>
 
- <sect2 id="xaggr-moving-aggregates">
+ <sect2 id="xaggr-moving-aggregates" xreflabel="Moving-Aggregate Mode">
   <title>Moving-Aggregate Mode</title>
 
   <indexterm>
@@ -273,7 +273,7 @@ FROM (VALUES (1, 1.0e20::float8),
 
  </sect2>
 
- <sect2 id="xaggr-polymorphic-aggregates">
+ <sect2 id="xaggr-polymorphic-aggregates" xreflabel="Polymorphic and Variadic Aggregates">
   <title>Polymorphic and Variadic Aggregates</title>
 
   <indexterm>
@@ -418,7 +418,7 @@ SELECT myaggregate(a, b, c ORDER BY a) FROM ...
 
  </sect2>
 
- <sect2 id="xaggr-ordered-set-aggregates">
+ <sect2 id="xaggr-ordered-set-aggregates" xreflabel="Ordered-Set Aggregates">
   <title>Ordered-Set Aggregates</title>
 
   <indexterm>
@@ -518,7 +518,7 @@ SELECT percentile_disc(0.5) WITHIN GROUP (ORDER BY income) FROM households;
 
  </sect2>
 
-  <sect2 id="xaggr-partial-aggregates">
+  <sect2 id="xaggr-partial-aggregates" xreflabel="Partial Aggregation">
   <title>Partial Aggregation</title>
 
   <indexterm>
@@ -614,7 +614,7 @@ SELECT percentile_disc(0.5) WITHIN GROUP (ORDER BY income) FROM households;
 
  </sect2>
 
- <sect2 id="xaggr-support-functions">
+ <sect2 id="xaggr-support-functions" xreflabel="Support Functions for Aggregates">
   <title>Support Functions for Aggregates</title>
 
   <indexterm>
diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index e9288bd6b5e..c6c36f4843f 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xfunc.sgml -->
 
- <sect1 id="xfunc">
+ <sect1 id="xfunc" xreflabel="User-Defined Functions">
   <title>User-Defined Functions</title>
 
   <indexterm zone="xfunc">
@@ -73,7 +73,7 @@
   </para>
   </sect1>
 
-  <sect1 id="xproc">
+  <sect1 id="xproc" xreflabel="User-Defined Procedures">
    <title>User-Defined Procedures</title>
 
   <indexterm zone="xproc">
@@ -143,7 +143,7 @@
    </para>
   </sect1>
 
-  <sect1 id="xfunc-sql">
+  <sect1 id="xfunc-sql" xreflabel="Query Language (SQL) Functions">
    <title>Query Language (<acronym>SQL</acronym>) Functions</title>
 
    <indexterm zone="xfunc-sql">
@@ -245,7 +245,7 @@ CALL clean_emp();
     the function (see <xref linkend="sql-syntax-strings"/>).
    </para>
 
-   <sect2 id="xfunc-sql-function-arguments">
+   <sect2 id="xfunc-sql-function-arguments" xreflabel="Arguments for SQL Functions">
     <title>Arguments for <acronym>SQL</acronym> Functions</title>
 
    <indexterm>
@@ -307,7 +307,7 @@ INSERT INTO $1 VALUES (42);
     </note>
    </sect2>
 
-   <sect2 id="xfunc-sql-base-functions">
+   <sect2 id="xfunc-sql-base-functions" xreflabel="SQL Functions on Base Types">
     <title><acronym>SQL</acronym> Functions on Base Types</title>
 
     <para>
@@ -454,7 +454,7 @@ $$ LANGUAGE SQL;
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-composite-functions">
+   <sect2 id="xfunc-sql-composite-functions" xreflabel="SQL Functions on Composite Types">
     <title><acronym>SQL</acronym> Functions on Composite Types</title>
 
     <para>
@@ -670,7 +670,7 @@ SELECT getname(new_emp());
     </para>
    </sect2>
 
-   <sect2 id="xfunc-output-parameters">
+   <sect2 id="xfunc-output-parameters" xreflabel="SQL Functions with Output Parameters">
     <title><acronym>SQL</acronym> Functions with Output Parameters</title>
 
    <indexterm>
@@ -756,7 +756,7 @@ DROP FUNCTION sum_n_product (int, int);
     </para>
    </sect2>
 
-   <sect2 id="xfunc-output-parameters-proc">
+   <sect2 id="xfunc-output-parameters-proc" xreflabel="SQL Procedures with Output Parameters">
     <title><acronym>SQL</acronym> Procedures with Output Parameters</title>
 
     <indexterm>
@@ -797,7 +797,7 @@ CALL tp1(17, 100.0, NULL);
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-variadic-functions">
+   <sect2 id="xfunc-sql-variadic-functions" xreflabel="SQL Functions with Variable Numbers of Arguments">
     <title><acronym>SQL</acronym> Functions with Variable Numbers of Arguments</title>
 
     <indexterm>
@@ -896,7 +896,7 @@ SELECT mleast(arr =&gt; ARRAY[10, -1, 5, 4.4]);
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-parameter-defaults">
+   <sect2 id="xfunc-sql-parameter-defaults" xreflabel="SQL Functions with Default Values for Arguments">
     <title><acronym>SQL</acronym> Functions with Default Values for Arguments</title>
 
     <indexterm>
@@ -954,7 +954,7 @@ ERROR:  function foo() does not exist
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-table-functions">
+   <sect2 id="xfunc-sql-table-functions" xreflabel="SQL Functions as Table Sources">
     <title><acronym>SQL</acronym> Functions as Table Sources</title>
 
     <para>
@@ -997,7 +997,7 @@ SELECT *, upper(fooname) FROM getfoo(1) AS t1;
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-functions-returning-set">
+   <sect2 id="xfunc-sql-functions-returning-set" xreflabel="SQL Functions Returning Sets">
     <title><acronym>SQL</acronym> Functions Returning Sets</title>
 
     <indexterm>
@@ -1275,7 +1275,7 @@ SELECT x, case_generate_series(y &gt; 0, 1, z, 5) FROM tab;
     </note>
    </sect2>
 
-   <sect2 id="xfunc-sql-functions-returning-table">
+   <sect2 id="xfunc-sql-functions-returning-table" xreflabel="SQL Functions Returning TABLE">
     <title><acronym>SQL</acronym> Functions Returning <literal>TABLE</literal></title>
 
     <indexterm>
@@ -1311,7 +1311,7 @@ $$ LANGUAGE SQL;
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-polymorphic-functions">
+   <sect2 id="xfunc-sql-polymorphic-functions" xreflabel="Polymorphic SQL Functions">
     <title>Polymorphic <acronym>SQL</acronym> Functions</title>
 
     <para>
@@ -1452,7 +1452,7 @@ SELECT concat_values('|', 1, 4, 2);
     </para>
    </sect2>
 
-   <sect2 id="xfunc-sql-collations">
+   <sect2 id="xfunc-sql-collations" xreflabel="SQL Functions with Collations">
     <title><acronym>SQL</acronym> Functions with Collations</title>
 
     <indexterm>
@@ -1508,7 +1508,7 @@ $$ LANGUAGE SQL;
    </sect2>
   </sect1>
 
-  <sect1 id="xfunc-overload">
+  <sect1 id="xfunc-overload" xreflabel="Function Overloading">
    <title>Function Overloading</title>
 
    <indexterm zone="xfunc-overload">
@@ -1592,7 +1592,7 @@ CREATE FUNCTION test(int, int) RETURNS int
    </para>
   </sect1>
 
-  <sect1 id="xfunc-volatility">
+  <sect1 id="xfunc-volatility" xreflabel="Function Volatility Categories">
    <title>Function Volatility Categories</title>
 
    <indexterm zone="xfunc-volatility">
@@ -1751,7 +1751,7 @@ CREATE FUNCTION test(int, int) RETURNS int
    </note>
   </sect1>
 
-  <sect1 id="xfunc-pl">
+  <sect1 id="xfunc-pl" xreflabel="Procedural Language Functions">
    <title>Procedural Language Functions</title>
 
    <para>
@@ -1767,7 +1767,7 @@ CREATE FUNCTION test(int, int) RETURNS int
    </para>
   </sect1>
 
-  <sect1 id="xfunc-internal">
+  <sect1 id="xfunc-internal" xreflabel="Internal Functions">
    <title>Internal Functions</title>
 
    <indexterm zone="xfunc-internal"><primary>function</primary><secondary>internal</secondary></indexterm>
@@ -1810,7 +1810,7 @@ CREATE FUNCTION square_root(double precision) RETURNS double precision
    </note>
   </sect1>
 
-  <sect1 id="xfunc-c">
+  <sect1 id="xfunc-c" xreflabel="C-Language Functions">
    <title>C-Language Functions</title>
 
    <indexterm zone="xfunc-c">
@@ -1838,7 +1838,7 @@ CREATE FUNCTION square_root(double precision) RETURNS double precision
     call for the function, as illustrated below.
    </para>
 
-  <sect2 id="xfunc-c-dynload">
+  <sect2 id="xfunc-c-dynload" xreflabel="Dynamic Loading">
    <title>Dynamic Loading</title>
 
    <indexterm zone="xfunc-c-dynload">
@@ -2007,7 +2007,7 @@ PG_MODULE_MAGIC_EXT(
 
   </sect2>
 
-   <sect2 id="xfunc-c-basetype">
+   <sect2 id="xfunc-c-basetype" xreflabel="Base Types in C-Language Functions">
     <title>Base Types in C-Language Functions</title>
 
     <indexterm zone="xfunc-c-basetype">
@@ -2681,7 +2681,7 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
     </para>
    </sect2>
 
-   <sect2 id="xfunc-c-code">
+   <sect2 id="xfunc-c-code" xreflabel="Writing Code">
     <title>Writing Code</title>
 
     <para>
@@ -2788,7 +2788,7 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
 
 &dfunc;
 
-   <sect2 id="xfunc-api-abi-stability-guidance">
+   <sect2 id="xfunc-api-abi-stability-guidance" xreflabel="Server API and ABI Stability Guidance">
     <title>Server API and ABI Stability Guidance</title>
 
     <para>
@@ -2797,7 +2797,7 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
      <productname>PostgreSQL</productname> server.
     </para>
 
-    <sect3 id="xfunc-guidance-general">
+    <sect3 id="xfunc-guidance-general" xreflabel="General">
      <title>General</title>
 
      <para>
@@ -2823,14 +2823,14 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
      </para>
     </sect3>
 
-    <sect3 id="xfunc-guidance-api-compatibility">
+    <sect3 id="xfunc-guidance-api-compatibility" xreflabel="API Compatibility">
      <title>API Compatibility</title>
      <para>
       The <acronym>API</acronym>, or application programming interface, is the
       interface used at compile time.
      </para>
 
-     <sect4 id="xfunc-guidance-api-major-versions">
+     <sect4 id="xfunc-guidance-api-major-versions" xreflabel="Major Versions">
       <title>Major Versions</title>
       <para>
        There is <emphasis>no</emphasis> promise of API compatibility between
@@ -2843,7 +2843,7 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
       </para>
      </sect4>
 
-     <sect4 id="xfunc-guidance-api-mninor-versions">
+     <sect4 id="xfunc-guidance-api-mninor-versions" xreflabel="Minor Versions">
       <title>Minor Versions</title>
       <para>
        <productname>PostgreSQL</productname> makes an effort to avoid server
@@ -2861,14 +2861,14 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
      </sect4>
     </sect3>
 
-    <sect3 id="xfunc-guidance-abi-compatibility">
+    <sect3 id="xfunc-guidance-abi-compatibility" xreflabel="ABI Compatibility">
      <title>ABI Compatibility</title>
       <para>
        The <acronym>ABI</acronym>, or application binary interface, is the
        interface used at run time.
       </para>
 
-     <sect4 id="xfunc-guidance-abi-major-versions">
+     <sect4 id="xfunc-guidance-abi-major-versions" xreflabel="Major Versions">
       <title>Major Versions</title>
       <para>
        Servers of different major versions have intentionally incompatible
@@ -2879,7 +2879,7 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
       </para>
      </sect4>
 
-     <sect4 id="xfunc-guidance-abi-mninor-versions">
+     <sect4 id="xfunc-guidance-abi-mninor-versions" xreflabel="Minor Versions">
       <title>Minor Versions</title>
       <para>
        <productname>PostgreSQL</productname> makes an effort to avoid server
@@ -2924,7 +2924,7 @@ CREATE FUNCTION t_starts_with(text, text) RETURNS boolean
     </sect3>
   </sect2>
 
-   <sect2 id="xfunc-c-composite-type-args">
+   <sect2 id="xfunc-c-composite-type-args" xreflabel="Composite-Type Arguments">
     <title>Composite-Type Arguments</title>
 
     <para>
@@ -3012,7 +3012,7 @@ CREATE FUNCTION c_overpaid(emp, integer) RETURNS boolean
     </para>
    </sect2>
 
-   <sect2 id="xfunc-c-returning-rows">
+   <sect2 id="xfunc-c-returning-rows" xreflabel="Returning Rows (Composite Types)">
     <title>Returning Rows (Composite Types)</title>
 
     <para>
@@ -3163,7 +3163,7 @@ HeapTupleGetDatum(HeapTuple tuple)
 
    </sect2>
 
-   <sect2 id="xfunc-c-return-set">
+   <sect2 id="xfunc-c-return-set" xreflabel="Returning Sets">
     <title>Returning Sets</title>
 
     <para>
@@ -3507,7 +3507,7 @@ CREATE OR REPLACE FUNCTION retcomposite(IN integer, IN integer,
     </para>
    </sect2>
 
-   <sect2 id="xfunc-c-polymorphic">
+   <sect2 id="xfunc-c-polymorphic" xreflabel="Polymorphic Arguments and Return Types">
     <title>Polymorphic Arguments and Return Types</title>
 
     <para>
@@ -3618,10 +3618,10 @@ CREATE FUNCTION make_array(anyelement) RETURNS anyarray
     </para>
    </sect2>
 
-   <sect2 id="xfunc-shared-addin">
+   <sect2 id="xfunc-shared-addin" xreflabel="Shared Memory">
     <title>Shared Memory</title>
 
-    <sect3 id="xfunc-shared-addin-at-startup">
+    <sect3 id="xfunc-shared-addin-at-startup" xreflabel="Requesting Shared Memory at Startup">
      <title>Requesting Shared Memory at Startup</title>
 
      <para>
@@ -3686,7 +3686,7 @@ LWLockRelease(AddinShmemInitLock);
      </para>
     </sect3>
 
-    <sect3 id="xfunc-shared-addin-after-startup">
+    <sect3 id="xfunc-shared-addin-after-startup" xreflabel="Requesting Shared Memory After Startup">
      <title>Requesting Shared Memory After Startup</title>
 
      <para>
@@ -3729,10 +3729,10 @@ void *GetNamedDSMSegment(const char *name, size_t size,
     </sect3>
    </sect2>
 
-   <sect2 id="xfunc-addin-lwlocks">
+   <sect2 id="xfunc-addin-lwlocks" xreflabel="LWLocks">
     <title>LWLocks</title>
 
-    <sect3 id="xfunc-addin-lwlocks-at-startup">
+    <sect3 id="xfunc-addin-lwlocks-at-startup" xreflabel="Requesting LWLocks at Startup">
      <title>Requesting LWLocks at Startup</title>
 
      <para>
@@ -3756,7 +3756,7 @@ LWLockPadded *GetNamedLWLockTranche(const char *tranche_name)
      </para>
     </sect3>
 
-    <sect3 id="xfunc-addin-lwlocks-after-startup">
+    <sect3 id="xfunc-addin-lwlocks-after-startup" xreflabel="Requesting LWLocks After Startup">
      <title>Requesting LWLocks After Startup</title>
 
      <para>
@@ -3791,7 +3791,7 @@ void LWLockInitialize(LWLock *lock, int tranche_id)
     </sect3>
    </sect2>
 
-   <sect2 id="xfunc-addin-wait-events">
+   <sect2 id="xfunc-addin-wait-events" xreflabel="Custom Wait Events">
     <title>Custom Wait Events</title>
 
     <para>
@@ -3818,7 +3818,7 @@ uint32 WaitEventExtensionNew(const char *wait_event_name)
     </para>
    </sect2>
 
-   <sect2 id="xfunc-addin-injection-points">
+   <sect2 id="xfunc-addin-injection-points" xreflabel="Injection Points">
     <title>Injection Points</title>
 
     <para>
@@ -3950,7 +3950,7 @@ extern bool InjectionPointDetach(const char *name);
     </para>
    </sect2>
 
-   <sect2 id="xfunc-addin-custom-cumulative-statistics">
+   <sect2 id="xfunc-addin-custom-cumulative-statistics" xreflabel="Custom Cumulative Statistics">
     <title>Custom Cumulative Statistics</title>
 
     <para>
@@ -4012,7 +4012,7 @@ extern PgStat_Kind pgstat_register_kind(PgStat_Kind kind,
     </para>
    </sect2>
 
-   <sect2 id="extend-cpp">
+   <sect2 id="extend-cpp" xreflabel="Using C++ for Extensibility">
     <title>Using C++ for Extensibility</title>
 
     <indexterm zone="extend-cpp">
@@ -4077,7 +4077,7 @@ extern PgStat_Kind pgstat_register_kind(PgStat_Kind kind,
 
   </sect1>
 
-  <sect1 id="xfunc-optimization">
+  <sect1 id="xfunc-optimization" xreflabel="Function Optimization Information">
    <title>Function Optimization Information</title>
 
   <indexterm zone="xfunc-optimization">
diff --git a/doc/src/sgml/xindex.sgml b/doc/src/sgml/xindex.sgml
index 3d315df2f98..49ff5ca4da6 100644
--- a/doc/src/sgml/xindex.sgml
+++ b/doc/src/sgml/xindex.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xindex.sgml -->
 
-<sect1 id="xindex">
+<sect1 id="xindex" xreflabel="Interfacing Extensions to Indexes">
  <title>Interfacing Extensions to Indexes</title>
 
  <indexterm zone="xindex">
@@ -25,7 +25,7 @@
    so we'll focus on that case first and then return to operator families.
   </para>
 
- <sect2 id="xindex-opclass">
+ <sect2 id="xindex-opclass" xreflabel="Index Methods and Operator Classes">
   <title>Index Methods and Operator Classes</title>
 
   <para>
@@ -75,7 +75,7 @@
   </para>
  </sect2>
 
- <sect2 id="xindex-strategies">
+ <sect2 id="xindex-strategies" xreflabel="Index Method Strategies">
   <title>Index Method Strategies</title>
 
   <para>
@@ -373,7 +373,7 @@
   </para>
  </sect2>
 
- <sect2 id="xindex-support">
+ <sect2 id="xindex-support" xreflabel="Index Method Support Routines">
   <title>Index Method Support Routines</title>
 
   <para>
@@ -811,7 +811,7 @@
   </para>
  </sect2>
 
- <sect2 id="xindex-example">
+ <sect2 id="xindex-example" xreflabel="An Example">
   <title>An Example</title>
 
   <para>
@@ -997,7 +997,7 @@ CREATE OPERATOR CLASS complex_abs_ops
   </para>
  </sect2>
 
- <sect2 id="xindex-opfamily">
+ <sect2 id="xindex-opfamily" xreflabel="Operator Classes and Operator Families">
   <title>Operator Classes and Operator Families</title>
 
   <para>
@@ -1224,7 +1224,7 @@ ALTER OPERATOR FAMILY integer_ops USING btree ADD
   </note>
  </sect2>
 
- <sect2 id="xindex-opclass-dependencies">
+ <sect2 id="xindex-opclass-dependencies" xreflabel="System Dependencies on Operator Classes">
   <title>System Dependencies on Operator Classes</title>
 
    <indexterm>
@@ -1332,7 +1332,7 @@ SELECT sum(x) OVER (ORDER BY x RANGE BETWEEN 5 PRECEDING AND 10 FOLLOWING)
   </para>
  </sect2>
 
- <sect2 id="xindex-ordering-ops">
+ <sect2 id="xindex-ordering-ops" xreflabel="Ordering Operators">
   <title>Ordering Operators</title>
 
   <para>
@@ -1388,7 +1388,7 @@ OPERATOR 15    <-> (point, point) FOR ORDER BY float_ops
   </para>
  </sect2>
 
- <sect2 id="xindex-opclass-features">
+ <sect2 id="xindex-opclass-features" xreflabel="Special Features of Operator Classes">
   <title>Special Features of Operator Classes</title>
 
   <para>
diff --git a/doc/src/sgml/xml2.sgml b/doc/src/sgml/xml2.sgml
index 9fd613f9675..79a1b72d38e 100644
--- a/doc/src/sgml/xml2.sgml
+++ b/doc/src/sgml/xml2.sgml
@@ -12,7 +12,7 @@
   XSLT functionality.
  </para>
 
- <sect2 id="xml2-deprecation">
+ <sect2 id="xml2-deprecation" xreflabel="Deprecation Notice">
   <title>Deprecation Notice</title>
 
   <para>
@@ -30,7 +30,7 @@
   </para>
  </sect2>
 
- <sect2 id="xml2-functions">
+ <sect2 id="xml2-functions" xreflabel="Description of Functions">
   <title>Description of Functions</title>
 
   <para>
@@ -168,7 +168,7 @@
   </table>
  </sect2>
 
- <sect2 id="xml2-xpath-table">
+ <sect2 id="xml2-xpath-table" xreflabel="xpath_table">
   <title><literal>xpath_table</literal></title>
 
   <indexterm>
@@ -318,7 +318,7 @@ WHERE t.author_id = p.person_id;
    of this in a view for convenience.
   </para>
 
-  <sect3 id="xml2-xpath-table-multivalued-results">
+  <sect3 id="xml2-xpath-table-multivalued-results" xreflabel="Multivalued Results">
    <title>Multivalued Results</title>
 
    <para>
@@ -393,14 +393,14 @@ ORDER BY doc_num, line_num;
   </sect3>
  </sect2>
 
- <sect2 id="xml2-xslt">
+ <sect2 id="xml2-xslt" xreflabel="XSLT Functions">
   <title>XSLT Functions</title>
 
   <para>
    The following functions are available if libxslt is installed:
   </para>
 
-  <sect3 id="xml2-xslt-xslt-process">
+  <sect3 id="xml2-xslt-xslt-process" xreflabel="xslt_process">
    <title><literal>xslt_process</literal></title>
 
   <indexterm>
@@ -427,7 +427,7 @@ xslt_process(text document, text stylesheet, text paramlist) returns text
   </sect3>
  </sect2>
 
- <sect2 id="xml2-author">
+ <sect2 id="xml2-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 853b07a9f14..c039c308a17 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xoper.sgml -->
 
- <sect1 id="xoper">
+ <sect1 id="xoper" xreflabel="User-Defined Operators">
   <title>User-Defined Operators</title>
 
   <indexterm zone="xoper">
@@ -75,7 +75,7 @@ SELECT (a + b) AS c FROM test_complex;
   </para>
  </sect1>
 
-  <sect1 id="xoper-optimization">
+  <sect1 id="xoper-optimization" xreflabel="Operator Optimization Information">
    <title>Operator Optimization Information</title>
 
   <indexterm zone="xoper-optimization">
@@ -109,7 +109,7 @@ SELECT (a + b) AS c FROM test_complex;
     See <xref linkend="xfunc-optimization"/> for more information.
    </para>
 
-   <sect2 id="xoper-commutator">
+   <sect2 id="xoper-commutator" xreflabel="COMMUTATOR">
     <title><literal>COMMUTATOR</literal></title>
 
     <para>
@@ -148,7 +148,7 @@ SELECT (a + b) AS c FROM test_complex;
     </para>
    </sect2>
 
-   <sect2 id="xoper-negator">
+   <sect2 id="xoper-negator" xreflabel="NEGATOR">
     <title><literal>NEGATOR</literal></title>
 
     <para>
@@ -181,7 +181,7 @@ SELECT (a + b) AS c FROM test_complex;
    </para>
   </sect2>
 
-  <sect2 id="xoper-restrict">
+  <sect2 id="xoper-restrict" xreflabel="RESTRICT">
    <title><literal>RESTRICT</literal></title>
 
    <para>
@@ -258,7 +258,7 @@ column OP constant
    </para>
    </sect2>
 
-   <sect2 id="xoper-join">
+   <sect2 id="xoper-join" xreflabel="JOIN">
     <title><literal>JOIN</literal></title>
 
     <para>
@@ -295,7 +295,7 @@ table1.column1 OP table2.column2
     </para>
    </sect2>
 
-   <sect2 id="xoper-hashes">
+   <sect2 id="xoper-hashes" xreflabel="HASHES">
     <title><literal>HASHES</literal></title>
 
     <para>
@@ -383,7 +383,7 @@ table1.column1 OP table2.column2
 
    </sect2>
 
-   <sect2 id="xoper-merges">
+   <sect2 id="xoper-merges" xreflabel="MERGES">
     <title><literal>MERGES</literal></title>
 
     <para>
diff --git a/doc/src/sgml/xplang.sgml b/doc/src/sgml/xplang.sgml
index 31d403c4806..e5ba26c5521 100644
--- a/doc/src/sgml/xplang.sgml
+++ b/doc/src/sgml/xplang.sgml
@@ -38,7 +38,7 @@
    language are covered in <xref linkend="plhandler"/>.
   </para>
 
-  <sect1 id="xplang-install">
+  <sect1 id="xplang-install" xreflabel="Installing Procedural Languages">
    <title>Installing Procedural Languages</title>
 
    <para>
diff --git a/doc/src/sgml/xtypes.sgml b/doc/src/sgml/xtypes.sgml
index df56d1c3ace..afee2875f50 100644
--- a/doc/src/sgml/xtypes.sgml
+++ b/doc/src/sgml/xtypes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xtypes.sgml -->
 
- <sect1 id="xtypes">
+ <sect1 id="xtypes" xreflabel="User-Defined Types">
   <title>User-Defined Types</title>
 
   <indexterm zone="xtypes">
@@ -249,7 +249,7 @@ CREATE TYPE complex (
   <xref linkend="sql-createtype"/> command.
  </para>
 
- <sect2 id="xtypes-toast">
+ <sect2 id="xtypes-toast" xreflabel="TOAST Considerations">
   <title>TOAST Considerations</title>
    <indexterm>
     <primary>TOAST</primary>
-- 
2.51.2.windows.1

